import * as H from 'history';
import * as React from 'react';
import { ExtensionConnection } from 'sourcegraph/module/client/controller';
import { ControllerProps } from '../client/controller';
import { ConfigurationSubject, Settings } from '../settings';
interface Props<S extends ConfigurationSubject, C extends Settings> extends ControllerProps<S, C> {
    caretIcon: React.ComponentType<{
        className: 'icon-inline' | string;
        onClick?: () => void;
    }>;
    loaderIcon: React.ComponentType<{
        className: 'icon-inline' | string;
        onClick?: () => void;
    }>;
    link: React.ComponentType<{
        id: string;
    }>;
}
interface State {
    /** The extension clients, or undefined while loading. */
    extensions?: ExtensionConnection[];
    /** Whether to log traces of communication with extensions. */
    trace?: boolean;
}
export declare class ExtensionStatus<S extends ConfigurationSubject, C extends Settings> extends React.PureComponent<Props<S, C>, State> {
    static TRACE_STORAGE_KEY: string;
    state: State;
    private componentUpdates;
    private subscriptions;
    componentDidMount(): void;
    componentDidUpdate(): void;
    componentWillUnmount(): void;
    render(): JSX.Element | null;
    private onToggleTrace;
}
/** A button that toggles the visibility of the ExtensionStatus element in a popover. */
export declare class ExtensionStatusPopover<S extends ConfigurationSubject, C extends Settings> extends React.PureComponent<Props<S, C> & {
    location: H.Location;
}> {
    render(): JSX.Element | null;
}
export {};
