import * as React from 'react';
import { ConfigurationSubject, Settings } from '../../settings';
import { ActionItemProps } from './ActionItem';
import { ActionsProps, ActionsState } from './actions';
interface ActionsContainerProps<S extends ConfigurationSubject, C extends Settings> extends ActionsProps<S, C> {
    /**
     * Called with the array of contributed items to produce the rendered component. If not set, uses a default
     * render function that renders a <ActionItem> for each item.
     */
    render?: (items: ActionItemProps[]) => React.ReactElement<any>;
    /**
     * If set, it is rendered when there are no contributed items for this menu. Use null to render nothing when
     * empty.
     */
    empty?: React.ReactElement<any> | null;
}
interface ActionsContainerState extends ActionsState {
}
/** Displays the actions in a container, with a wrapper and/or empty element. */
export declare class ActionsContainer<S extends ConfigurationSubject, C extends Settings> extends React.PureComponent<ActionsContainerProps<S, C>, ActionsContainerState> {
    state: ActionsState;
    private scopeChanges;
    private subscriptions;
    componentDidMount(): void;
    componentDidUpdate(prevProps: ActionsContainerProps<S, C>): void;
    componentWillUnmount(): void;
    render(): JSX.Element | null;
    private defaultRenderItems;
}
export {};
