import * as React from 'react';
import { ControllerProps } from '../../client/controller';
import { ConfigurationSubject, Settings } from '../../settings';
import { Notification } from './notification';
interface Props<S extends ConfigurationSubject, C extends Settings> extends ControllerProps<S, C> {
}
interface State {
    notifications: Notification[];
}
/**
 * A notifications center that displays global, non-modal messages.
 */
export declare class Notifications<S extends ConfigurationSubject, C extends Settings> extends React.PureComponent<Props<S, C>, State> {
    /**
     * The maximum number of notifications at a time. Older notifications are truncated when the length exceeds
     * this number.
     */
    private static MAX_RETAIN;
    state: State;
    private subscriptions;
    componentDidMount(): void;
    componentWillUnmount(): void;
    render(): JSX.Element | null;
    private onDismiss;
}
export {};
