import { Observable } from 'rxjs';
import { Context } from './context';
import { ConfiguredExtension } from './extensions/extension';
import { GraphQLDocument } from './graphql';
import * as GQL from './schema/graphqlschema';
import { ConfigurationCascadeOrError, ConfigurationSubject, Settings } from './settings';
/**
 * A controller that exposes functionality for a configuration cascade and querying extensions from the remote
 * registry.
 */
export declare class Controller<S extends ConfigurationSubject, C extends Settings> {
    readonly context: Context<S, C>;
    static readonly LOADING: 'loading';
    constructor(context: Context<S, C>);
    private readonly viewerConfiguredExtensionsOrLoading;
    readonly viewerConfiguredExtensions: Observable<ConfiguredExtension[]>;
    forExtensionID(extensionID: string, registryExtensionFragment: GraphQLDocument | string): Observable<ConfiguredExtension>;
    withRegistryMetadata(cascade: ConfigurationCascadeOrError<ConfigurationSubject, Settings>): Observable<ConfiguredExtension[]>;
    withConfiguration(registryExtensions: GQL.IRegistryExtension[]): ConfiguredExtension[];
}
