export interface ErrorLike {
    message: string;
    code?: string;
}
export declare const isErrorLike: (val: any) => val is ErrorLike;
/**
 * Ensures a value is a proper Error, copying all properties if needed.
 */
export declare const asError: (err: any) => Error;
/**
 * An Error that aggregates multiple errors.
 */
export interface AggregateError extends Error {
    name: 'AggregateError';
    errors: Error[];
}
/**
 * Creates an AggregateError from multiple ErrorLikes.
 *
 * @param errors errors or ErrorLikes to aggregate
 */
export declare const createAggregateError: (errors?: ErrorLike[]) => AggregateError;
