import * as GQL from './schema/graphqlschema';
export declare const graphQLContent: unique symbol;
export interface GraphQLDocument {
    [graphQLContent]: string;
}
/**
 * Use this template string tag for all GraphQL queries.
 */
export declare const gql: (template: TemplateStringsArray, ...substitutions: any[]) => GraphQLDocument;
/**
 * The response from a GraphQL API query.
 */
export interface QueryResult<D extends Partial<GQL.IQuery>> {
    data?: D;
    errors?: GQL.IGraphQLResponseError[];
}
