import * as React from 'react';
/** Wraps matches of pattern in text with <strong>. */
export const HighlightedMatches = ({ text, pattern, className }) => (React.createElement("span", null, fuzzyMatches(text.toLowerCase(), pattern.toLowerCase()).map((span, i) => span.match ? (React.createElement("strong", { key: i, className: className }, text.slice(span.start, span.end))) : (text.slice(span.start, span.end)))));
export function fuzzyMatches(text, pattern) {
    const matches = [];
    let i = 0;
    let last;
    for (let pos = 0; pos < pattern.length; pos++) {
        const ti = text.indexOf(pattern.charAt(pos), i);
        if (ti === -1) {
            break;
        }
        if (last && last.match && ti === i) {
            last.end = ti + 1;
        }
        else if ((last && !last.match) || ti > i) {
            matches.push({ start: i, end: ti, match: false });
            last = undefined;
        }
        if (!last) {
            last = { start: ti, end: ti + 1, match: true };
            matches.push(last);
        }
        i = ti + 1;
    }
    if (text && i < text.length) {
        matches.push({ start: i, end: text.length, match: false });
    }
    return matches;
}
//# sourceMappingURL=HighlightedMatches.js.map