import * as H from 'history';
import * as React from 'react';
interface Props {
    /** The link destination URL. */
    to?: H.LocationDescriptor;
    /** The link target. */
    target?: '_self' | '_blank' | string;
    /**
     * Called when the user clicks or presses enter on this element.
     */
    onSelect?: (event: React.MouseEvent | React.KeyboardEvent) => void;
    /** A tooltip to display when the user hovers or focuses this element. */
    ['data-tooltip']?: string;
    /** The component's CSS class name (defaults to "nav-link"). */
    className?: string;
    disabled?: boolean;
}
/**
 * A component that is displayed in the same way, regardless of whether it's a link (with a
 * destination URL) or a button (with a click handler).
 *
 * It is keyboard accessible: unlike <Link> or <a>, pressing the enter key triggers it. Unlike
 * <button>, it shows a focus ring.
 */
export declare class LinkOrButton extends React.PureComponent<Props> {
    render(): JSX.Element | null;
    private onAnchorClick;
    private onAnchorKeyPress;
}
export {};
