import { ShortcutProps } from '@slimsag/react-shortcuts';
import * as React from 'react';
import { PopoverProps } from 'reactstrap/lib/Popover';
interface Props {
    caretIcon: React.ComponentType<{
        className: string;
        onClick?: () => void;
    }>;
    /**
     * An additional class name to set on the root element.
     */
    className?: string;
    /** An additional class name for the popover element. */
    popoverClassName?: string;
    /**
     * The button label.
     */
    children?: React.ReactFragment;
    /**
     * The link destination URL for the button. If set, the caret is outside of the button.
     */
    link?: string;
    /**
     * The element to display in the popover.
     */
    popoverElement: React.ReactElement<any>;
    /**
     * Hide the popover when this prop changes.
     */
    hideOnChange?: any;
    /**
     * A keybinding  that toggles the visibility of this element.
     */
    toggleVisibilityKeybinding?: Pick<ShortcutProps, 'held' | 'ordered'>[];
    /** Popover placement. */
    placement?: PopoverProps['placement'];
    /** Force open, if true. */
    open?: boolean;
}
interface State {
    /** Whether the popover is open. */
    open: boolean;
}
/**
 * A button that toggles the visibility of a popover.
 */
export declare class PopoverButton extends React.PureComponent<Props, State> {
    state: State;
    private rootRef;
    componentWillReceiveProps(props: Props): void;
    render(): React.ReactFragment;
    private onClickLink;
    private setRootRef;
    private toggleVisibility;
}
export {};
