import * as React from 'react';
/** A toggle switch input component. */
export class Toggle extends React.PureComponent {
    render() {
        const onClick = () => {
            if (this.props.onToggle) {
                this.props.onToggle(!this.props.value);
            }
        };
        return (React.createElement("button", { className: `toggle ${this.props.disabled ? 'toggle__disabled' : ''}`, id: this.props.id, title: this.props.title, value: this.props.value ? 1 : 0, onClick: onClick, tabIndex: this.props.tabIndex },
            React.createElement("span", { className: `toggle__bar ${this.props.value ? 'toggle__bar--active' : ''} ${this.props.disabled ? 'toggle__bar--disabled' : ''}` }),
            React.createElement("span", { className: `toggle__knob ${this.props.value ? 'toggle__knob--active' : ''} ${this.props.disabled ? 'toggle__knob--disabled' : ''}` })));
    }
}
//# sourceMappingURL=Toggle.js.map